-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[GESTIONE_UPDATE_ZIP_SENT_FTP] 
	@Id int
AS
BEGIN
	UPDATE [C6MartPeriodico].GESTIONE_ZIP_FTP
	SET
		DataInvio = GetDate(),
		FlagInvio = 'S'
	WHERE
		Id = @Id
-- COLAIANNI-CONSOLI - 28.06.2011
-- SETTA NELLA CONTROLLO_REPORT LO STATO 6 (INVIATO)
-- PER TUTTI I REPORT CHE SI TROVANO NELLO STATO 4 (STAMPATO)
	UPDATE [C6MartPeriodico].CONTROLLO_TRIMESTRALE
	SET
		STATO_REPORT = 6, 
		PACCHETTO_ZIP = @Id, 
		DATA_TRANSIZIONE=GETDATE()
	WHERE
		STATO_REPORT = 4
		AND COD_FISCALE+RETE IN 
			(
			 SELECT CODICEFISCALE+RETE 
			 FROM C6MARTPERIODICO.GESTIONE_PDF_FTP
			 WHERE ID_FK_ZIP = @id
			);
END